Gecode::Driver::ScriptGetInfo< BaseSpace > Class Template Reference

Class to send solution information to CPProfiler for a script. More...

`#include <script.hpp>`

## Public Member Functions

| ScriptGetInfo (void)
| Initialize.
virtual std::string | getInfo (const Space &home) const
| Return info for a space (which must be a script).
Public Member Functions inherited from Gecode::CPProfilerSearchTracer::GetInfo
| GetInfo (void)
| Initialize.
virtual | ~GetInfo (void)
| Delete.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

template<class BaseSpace>
class Gecode::Driver::ScriptGetInfo< BaseSpace >

Class to send solution information to CPProfiler for a script.

Definition at line 217 of file script.hpp.

## Constructor & Destructor Documentation

## ScriptGetInfo()

template<class BaseSpace>

Gecode::Driver::ScriptGetInfo< BaseSpace >::ScriptGetInfo | ( | void |  | ) |

Initialize.

Definition at line 263 of file script.hpp.

## Member Function Documentation

## getInfo()

template<class BaseSpace>

std::string Gecode::Driver::ScriptGetInfo< BaseSpace >::getInfo | ( | const Space & | home | ) | const

virtual

Return info for a space (which must be a script).

Implements Gecode::CPProfilerSearchTracer::GetInfo.

Definition at line 267 of file script.hpp.

The documentation for this class was generated from the following file:

- gecode/driver/script.hpp